---
title: ascent
slug: Web/SVG/Attribute/ascent
tags:
  - Deprecated
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>ascent</code></strong> attribute defines the maximum unaccented height of the font within the font coordinate system.</p>

<p>If the attribute is not specified, the effect is as if the attribute were set to the difference between the {{SVGAttr("units-per-em")}} value and the {{SVGAttr("vert-origin-y")}} value for the corresponding font.</p>

<p>Only one element is using this attribute: {{SVGElement("font-face")}}</p>

<h2 id="font-face">font-face</h2>

<p>For {{SVGElement("font-face")}}, <code>ascent</code> defines the maximum unaccented height of the font within the font coordinate system.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><a href="/en-US/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>Difference between {{SVGAttr("units-per-em")}} and {{SVGAttr("vert-origin-y")}}</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceElementAscentAttribute", "ascent")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.font-face.ascent")}}</p>
